﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class BMI : System.Web.UI.Page
{
    decimal BMIndex = 0.0M;

    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)  // not IsPostBack == true일 경우 실행
        {
            Measure.Items.Add(new ListItem("센티미터(cm)", "0.01"));
            Measure.Items.Add(new ListItem("피트(feet)", "0.3048"));
            Measure.Items.Add(new ListItem("미터(m)", "1"));

            Image.Visible = false;
        }
    }

    protected void Calc_ServerClick(object sender, EventArgs e)
    {
        ListItem item = Measure.Items[Measure.SelectedIndex];
        decimal height = Decimal.Parse(Height.Value) * Decimal.Parse(item.Value);
        decimal weight = Decimal.Parse(Weight.Value);
        BMIndex = weight / (height * height);
        Result.InnerText = "체질량지수(BMI) : " + BMIndex.ToString();
    }
}
